org.springframework.messaging.support

## Interface MessageHeaderInitializer

All Known Implementing Classes:
  IdTimestampMessageHeaderInitializer

    public interface MessageHeaderInitializer

Callback interface for initializing a `MessageHeaderAccessor`.

Since:
  4.1
Author:
  Rossen Stoyanchev

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initHeaders(MessageHeaderAccessor headerAccessor)` Initialize the given `MessageHeaderAccessor`.

### Method Detail

#### initHeaders

    void initHeaders(MessageHeaderAccessor headerAccessor)

Initialize the given `MessageHeaderAccessor`.

Parameters:
  `headerAccessor` - the MessageHeaderAccessor to initialize